{ pkgs, ... }:
	pkgs.cryto.nodeApplication {
		name = "matrix-rooms";
		source = pkgs.stdenv.mkDerivation {
			name = "matrix-rooms-application";
			src = pkgs.cryto.fetchFromCrytoGit {
				owner = "joepie91";
				repo = "matrix-room-list-viewer";
				rev = "5912b79024cba33ee7e291f325d0286b8304af99";
				sha256 = "1mjygxgk79qhr4kwqcw66x01q9bj6dchq6ksw3k7bj5wkv3pzn90";
			};

			buildCommand = ''
				mkdir -p $out
				tar --strip-components=1 -xzvf $src -C $out
			'';
		};
	}
